#!/bin/sh

echo "🚀 Make migrations..."
python manage.py makemigrations --noinput

echo "🚀 Applying database migrations..."
python manage.py migrate --noinput

echo "🎯 Collect static files..."
python manage.py collectstatic --noinput

echo "✅ Starting Django server..."
python manage.py runserver 0.0.0.0:5000

exec "$@"
